/**
 * output package name
 */
package com.kingdee.eas.custom.esign.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class SealStatusEnum extends IntEnum
{
    public static final int ENABLED_VALUE = 1;//alias=已启用
    public static final int PENDING_REVIEW_VALUE = 2;//alias=待审核
    public static final int REJECTED_VALUE = 3;//alias=审核不通过
    public static final int SUSPENDED_OR_DISABLED_VALUE = 4;//alias=挂起或已停用
    public static final int REVOKED_VALUE = 6;//alias=已吊销

    public static final SealStatusEnum ENABLED = new SealStatusEnum("ENABLED", ENABLED_VALUE);
    public static final SealStatusEnum PENDING_REVIEW = new SealStatusEnum("PENDING_REVIEW", PENDING_REVIEW_VALUE);
    public static final SealStatusEnum REJECTED = new SealStatusEnum("REJECTED", REJECTED_VALUE);
    public static final SealStatusEnum SUSPENDED_OR_DISABLED = new SealStatusEnum("SUSPENDED_OR_DISABLED", SUSPENDED_OR_DISABLED_VALUE);
    public static final SealStatusEnum REVOKED = new SealStatusEnum("REVOKED", REVOKED_VALUE);

    /**
     * construct function
     * @param integer sealStatusEnum
     */
    private SealStatusEnum(String name, int sealStatusEnum)
    {
        super(name, sealStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SealStatusEnum getEnum(String sealStatusEnum)
    {
        return (SealStatusEnum)getEnum(SealStatusEnum.class, sealStatusEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static SealStatusEnum getEnum(int sealStatusEnum)
    {
        return (SealStatusEnum)getEnum(SealStatusEnum.class, sealStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SealStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SealStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SealStatusEnum.class);
    }
}